@use '/src/mainColor' as *;

.light-mode {
  --copy-img-filter: var(--light-img-filter);
  --copy-text-back: #{mainColor(100%)};
}
.dark-mode {
  --copy-text-back: #{mainColor(10%)};
}

.copy {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  padding: 0 1em;
  padding-top: .5em;
  padding-bottom: 1em;

  .copy-text {
    white-space: nowrap;
    direction: ltr;
    position: relative;
    overflow: hidden;
    text-overflow: ellipsis;
    border-radius: .5em;
    padding: .2em 1em;
    background-color: var(--copy-text-back);
  }
  
  .copy-btn {
    user-select: none;
    margin: .2em;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;  
    transition: transform .2s var(--cubik);
    
    &:hover {
      transform: scale(1.1);
    }
    
    &:active {
      transform: scale(.9);
    }
    
    img {
      pointer-events: none;
      height: 1.5em;
      margin-bottom: .1em;
      filter: var(--copy-img-filter);
    }
  }
  
  &::after {
    content: "קישור הועתק!";
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 50%;
    left: 50%;
    padding: .2em .5em;
    color: black;
    background-color: #fff;
    border: 1px solid #999;
    transform-origin: top left;
    transform: scale(1) translate(-50%, -100%);
    transition: opacity .2s var(--cubik), transform .2s var(--cubik);
  }
  
  &.copied::after {
    opacity: 1;
    transform: scale(1.1) translate(-50%, -150%);
  }
}
